<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2_17) on Thu Sep 24 15:03:18 BST 2009 -->
<TITLE>
Uses of Class org.jgraph.graph.AttributeMap (JGraph v5.12.4.2 API Specification)
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Class org.jgraph.graph.AttributeMap (JGraph v5.12.4.2 API Specification)";
}
</SCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
<p><b>JGraph</b><br>v5.12.4.2</p></EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AttributeMap.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Class<br>org.jgraph.graph.AttributeMap</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Packages that use <A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.jgraph"><B>org.jgraph</B></A></TD>
<TD>JGraph's topmost package which contains the JGraph class.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.jgraph.graph"><B>org.jgraph.graph</B></A></TD>
<TD>Graphs are made up of a number of classes and interfaces defined in their own
package - the <code>jgraph.graph</code> package.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.jgraph"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Uses of <A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A> in <A HREF="../../../../org/jgraph/package-summary.html">org.jgraph</A></FONT></TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Methods in <A HREF="../../../../org/jgraph/package-summary.html">org.jgraph</A> that return <A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></CODE></FONT></TD>
<TD><CODE><B>JGraph.</B><B><A HREF="../../../../org/jgraph/JGraph.html#getAttributes(java.lang.Object)">getAttributes</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;cell)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the attributes for the specified cell.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Methods in <A HREF="../../../../org/jgraph/package-summary.html">org.jgraph</A> with parameters of type <A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A></CODE></FONT></TD>
<TD><CODE><B>JGraph.</B><B><A HREF="../../../../org/jgraph/JGraph.html#createBounds(org.jgraph.graph.AttributeMap, int, int, java.awt.Color)">createBounds</A></B>(<A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A>&nbsp;map,
             int&nbsp;x,
             int&nbsp;y,
             <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Color.html" title="class or interface in java.awt">Color</A>&nbsp;c)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an attributeMap for the specified position and color.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.jgraph.graph"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Uses of <A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A> in <A HREF="../../../../org/jgraph/graph/package-summary.html">org.jgraph.graph</A></FONT></TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Fields in <A HREF="../../../../org/jgraph/graph/package-summary.html">org.jgraph.graph</A> declared as <A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></CODE></FONT></TD>
<TD><CODE><B>DefaultGraphModel.</B><B><A HREF="../../../../org/jgraph/graph/DefaultGraphModel.html#attributes">attributes</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The model's own attributes as a map.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></CODE></FONT></TD>
<TD><CODE><B>DefaultGraphCell.</B><B><A HREF="../../../../org/jgraph/graph/DefaultGraphCell.html#attributes">attributes</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Hashtable for properties.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></CODE></FONT></TD>
<TD><CODE><B>AbstractCellView.</B><B><A HREF="../../../../org/jgraph/graph/AbstractCellView.html#allAttributes">allAttributes</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Contains the complete set of attributes, including the cell's attributes.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></CODE></FONT></TD>
<TD><CODE><B>AbstractCellView.</B><B><A HREF="../../../../org/jgraph/graph/AbstractCellView.html#attributes">attributes</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Hashtable for attributes.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></CODE></FONT></TD>
<TD><CODE><B>AttributeMap.</B><B><A HREF="../../../../org/jgraph/graph/AttributeMap.html#emptyAttributeMap">emptyAttributeMap</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Shared empty attribute map to return instead of null in applyMap.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Methods in <A HREF="../../../../org/jgraph/graph/package-summary.html">org.jgraph.graph</A> that return <A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></CODE></FONT></TD>
<TD><CODE><B>DefaultGraphModel.</B><B><A HREF="../../../../org/jgraph/graph/DefaultGraphModel.html#getAttributes(java.lang.Object)">getAttributes</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;node)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a <code>Map</code> that represents the attributes for the
 specified cell.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></CODE></FONT></TD>
<TD><CODE><B>DefaultGraphCell.</B><B><A HREF="../../../../org/jgraph/graph/DefaultGraphCell.html#getAttributes()">getAttributes</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the properies of the cell.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></CODE></FONT></TD>
<TD><CODE><B>GraphCell.</B><B><A HREF="../../../../org/jgraph/graph/GraphCell.html#getAttributes()">getAttributes</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the <code>attributes</code> of the cell.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></CODE></FONT></TD>
<TD><CODE><B>AbstractCellView.</B><B><A HREF="../../../../org/jgraph/graph/AbstractCellView.html#createAttributeMap()">createAttributeMap</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Hook for subclassers to avoid creating an empty AttributeMap during
 construction of the instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></CODE></FONT></TD>
<TD><CODE><B>AbstractCellView.</B><B><A HREF="../../../../org/jgraph/graph/AbstractCellView.html#getCellAttributes(org.jgraph.graph.GraphModel)">getCellAttributes</A></B>(<A HREF="../../../../org/jgraph/graph/GraphModel.html" title="interface in org.jgraph.graph">GraphModel</A>&nbsp;model)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Hook for subclassers to avoid cloning the cell's attributes.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></CODE></FONT></TD>
<TD><CODE><B>AbstractCellView.</B><B><A HREF="../../../../org/jgraph/graph/AbstractCellView.html#getAttributes()">getAttributes</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Return the attributes of the view.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></CODE></FONT></TD>
<TD><CODE><B>AbstractCellView.</B><B><A HREF="../../../../org/jgraph/graph/AbstractCellView.html#getAllAttributes()">getAllAttributes</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the attributes of the view combined with the attributes of the
 corresponding cell.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></CODE></FONT></TD>
<TD><CODE><B>CellView.</B><B><A HREF="../../../../org/jgraph/graph/CellView.html#getAttributes()">getAttributes</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns all attributes of the view as a map.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></CODE></FONT></TD>
<TD><CODE><B>CellView.</B><B><A HREF="../../../../org/jgraph/graph/CellView.html#getAllAttributes()">getAllAttributes</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></CODE></FONT></TD>
<TD><CODE><B>AttributeMap.</B><B><A HREF="../../../../org/jgraph/graph/AttributeMap.html#applyMap(java.util.Map)">applyMap</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;change)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Apply the <code>change</code> to this views attributes.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></CODE></FONT></TD>
<TD><CODE><B>AttributeMap.</B><B><A HREF="../../../../org/jgraph/graph/AttributeMap.html#cloneEntries(org.jgraph.graph.AttributeMap)">cloneEntries</A></B>(<A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A>&nbsp;newMap)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Clones special object entried in the given map.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></CODE></FONT></TD>
<TD><CODE><B>GraphModel.</B><B><A HREF="../../../../org/jgraph/graph/GraphModel.html#getAttributes(java.lang.Object)">getAttributes</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;node)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a <code>AttributeMap</code> that represents the properties for
 the specified cell.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Methods in <A HREF="../../../../org/jgraph/graph/package-summary.html">org.jgraph.graph</A> with parameters of type <A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DefaultGraphCell.</B><B><A HREF="../../../../org/jgraph/graph/DefaultGraphCell.html#setAttributes(org.jgraph.graph.AttributeMap)">setAttributes</A></B>(<A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A>&nbsp;attributes)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the attributes.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>GraphCell.</B><B><A HREF="../../../../org/jgraph/graph/GraphCell.html#setAttributes(org.jgraph.graph.AttributeMap)">setAttributes</A></B>(<A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A>&nbsp;map)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the attributes</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>AbstractCellView.</B><B><A HREF="../../../../org/jgraph/graph/AbstractCellView.html#setAttributes(org.jgraph.graph.AttributeMap)">setAttributes</A></B>(<A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A>&nbsp;attributes)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the attributes of this view to the specified value</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></CODE></FONT></TD>
<TD><CODE><B>AttributeMap.</B><B><A HREF="../../../../org/jgraph/graph/AttributeMap.html#cloneEntries(org.jgraph.graph.AttributeMap)">cloneEntries</A></B>(<A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A>&nbsp;newMap)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Clones special object entried in the given map.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Constructors in <A HREF="../../../../org/jgraph/graph/package-summary.html">org.jgraph.graph</A> with parameters of type <A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/jgraph/graph/DefaultGraphModel.html#DefaultGraphModel(java.util.List, org.jgraph.graph.AttributeMap)">DefaultGraphModel</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&nbsp;roots,
                  <A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A>&nbsp;attributes)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs a model that is not an attribute store.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/jgraph/graph/DefaultGraphModel.html#DefaultGraphModel(java.util.List, org.jgraph.graph.AttributeMap, org.jgraph.graph.ConnectionSet)">DefaultGraphModel</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&nbsp;roots,
                  <A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A>&nbsp;attributes,
                  <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A>&nbsp;cs)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs a model using the specified information to construct the
 cells, attributes and connection data.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/jgraph/graph/DefaultGraphCell.html#DefaultGraphCell(java.lang.Object, org.jgraph.graph.AttributeMap)">DefaultGraphCell</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;userObject,
                 <A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A>&nbsp;storageMap)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs a cell that holds a reference to the specified user object
 and contains the specified array of children and sets default values
 for the bounds attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/jgraph/graph/DefaultGraphCell.html#DefaultGraphCell(java.lang.Object, org.jgraph.graph.AttributeMap, javax.swing.tree.MutableTreeNode[])">DefaultGraphCell</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;userObject,
                 <A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A>&nbsp;storageMap,
                 <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/MutableTreeNode.html" title="class or interface in javax.swing.tree">MutableTreeNode</A>[]&nbsp;children)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a graph cell and initializes it with the specified user object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/jgraph/graph/DefaultEdge.html#DefaultEdge(java.lang.Object, org.jgraph.graph.AttributeMap)">DefaultEdge</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;userObject,
            <A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A>&nbsp;storageMap)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs an edge that holds a reference to the specified user object
 and sets default values for points and the label position.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
<p><b>JGraph</b><br>v5.12.4.2</p></EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AttributeMap.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
<font size=1>Copyright (C) 2001-2008 <a href="http://www.jgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font>
</BODY>
</HTML>
